Bug 855277 - SELinux is preventing /usr/libexec/totem-plugin-viewer from 'name_connect' accesses on the tcp_socket .
SELinux is preventing /usr/libexec/totem-plugin-viewer from 'name_connect' ac...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8abfca505f7e5b5e9db607a9285...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 03:56 EDT by glihaenator
Modified: 2013-08-01 01:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-07 03:56 EDT, glihaenator
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-07 03:56 EDT, glihaenator
no flags Details

  None (edit)
Description glihaenator 2012-09-07 03:56:32 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.3-1.fc17.x86_64

description:
:SELinux is preventing /usr/libexec/totem-plugin-viewer from 'name_connect' accesses on the tcp_socket .
:
:*****  Plugin connect_ports (99.5 confidence) suggests  **********************
:
:If you want to allow /usr/libexec/totem-plugin-viewer to connect to network port 81
:Then you need to modify the port type.
:Do
:# semanage port -a -t PORT_TYPE -p tcp 81
:    where PORT_TYPE is one of the following: mmcc_port_t, dns_port_t, asterisk_port_t, ipp_port_t, couchdb_port_t, streaming_port_t, port_t, vnc_port_t, gatekeeper_port_t, ephemeral_port_type, ftp_port_t, speech_port_t, http_cache_port_t, dns_port_t, http_port_t, squid_port_t, ircd_port_t, pulseaudio_port_t, flash_port_t, unreserved_port_t, jabber_client_port_t, monopd_port_t, soundd_port_t, ocsp_port_t, kerberos_port_t.
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that totem-plugin-viewer should be allowed name_connect access on the  tcp_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep totem-plugin-vi /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:reserved_port_t:s0
:Target Objects                 [ tcp_socket ]
:Source                        totem-plugin-vi
:Source Path                   /usr/libexec/totem-plugin-viewer
:Port                          81
:Host                          (removed)
:Source RPM Packages           totem-mozplugin-3.4.3-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug
:                              29 18:46:34 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    2012-09-07 09:55:20 CEST
:Last Seen                     2012-09-07 09:55:20 CEST
:Local ID                      18fa0c4d-f218-4316-8518-c602351709d5
:
:Raw Audit Messages
:type=AVC msg=audit(1347004520.936:67): avc:  denied  { name_connect } for  pid=3258 comm="task1" dest=81 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:reserved_port_t:s0 tclass=tcp_socket
:
:
:type=SYSCALL msg=audit(1347004520.936:67): arch=x86_64 syscall=connect success=no exit=EACCES a0=13 a1=7faadc00a9f0 a2=10 a3=40 items=0 ppid=1 pid=3258 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=task1 exe=/usr/libexec/totem-plugin-viewer subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: totem-plugin-vi,mozilla_plugin_t,reserved_port_t,tcp_socket,name_connect
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_ypbind'
:
:allow mozilla_plugin_t reserved_port_t:tcp_socket name_connect;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:#!!!! This avc can be allowed using the boolean 'allow_ypbind'
:
:allow mozilla_plugin_t reserved_port_t:tcp_socket name_connect;
:
Comment 1 glihaenator 2012-09-07 03:56:35 EDT
Created attachment 610649 [details]
File: type
Comment 2 glihaenator 2012-09-07 03:56:37 EDT
Created attachment 610650 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-09-07 07:38:36 EDT
I wonder if we should just label port 81 as an apache port, since it seems to happen quite often.
Comment 4 Miroslav Grepl 2012-09-11 04:32:43 EDT
I added it to F18 for testing.

You can test it for now using

# semanage port -a -t http_port_t -p tcp 81

on F17.
Comment 5 Fedora End Of Life 2013-07-03 20:51:10 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:00:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.